Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2211 - there are broken .so commands in some man pages
Summary: there are broken .so commands in some man pages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man-pages
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-16 10:51 UTC by lionel.cons
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-16 22:55:48 UTC


Attachments (Terms of Use)

Description lionel.cons 1999-04-16 10:51:55 UTC
# cat /etc/redhat-release
Red Hat Linux release 5.9.7 (Starbuck)
# man res_init
fopen: No such file or directory
Cannot open man page /usr/man/man3/resolver.3.gz
No manual entry for res_init
# rpm -qf /usr/man/man3/res_init.3
man-pages-1.23-2
# cat /usr/man/man3/res_init.3
.so man3/resolver.3
# ls /usr/man/man3/resolver*
ls: /usr/man/man3/resolver*: No such file or directory
# grep man3/resolver /usr/man/man3/*
/usr/man/man3/dn_comp.3:.so man3/resolver.3
/usr/man/man3/dn_expand.3:.so man3/resolver.3
/usr/man/man3/res_init.3:.so man3/resolver.3
/usr/man/man3/res_mkquery.3:.so man3/resolver.3
/usr/man/man3/res_query.3:.so man3/resolver.3
/usr/man/man3/res_querydomain.3:.so man3/resolver.3
/usr/man/man3/res_search.3:.so man3/resolver.3
/usr/man/man3/res_send.3:.so man3/resolver.3

Comment 1 lionel.cons 1999-04-16 10:54:59 UTC
# man endnetent
fopen: No such file or directory
Cannot open man page /usr/man/man3/getnetent.3.gz
No manual entry for endnetent
# cat /usr/man/man3/endnetent.3
.so man3/getnetent.3
# ls /usr/man/man3/getnetent*
ls: /usr/man/man3/getnetent*: No such file or directory
# grep man3/getnetent /usr/man/man3/*
/usr/man/man3/endnetent.3:.so man3/getnetent.3
/usr/man/man3/getnetbyaddr.3:.so man3/getnetent.3
/usr/man/man3/getnetbyname.3:.so man3/getnetent.3
/usr/man/man3/setnetent.3:.so man3/getnetent.3

Comment 2 David Lawrence 1999-05-07 18:59:59 UTC
I have verified these to be true on a 6.0 final machine.

Comment 3 Cristian Gafton 1999-06-16 22:55:59 UTC
fixed in man-pages 1.24 available from rawhide


Note You need to log in before you can comment on or make changes to this bug.